Recordatorio: A partir del 2 de agosto de 2022, todas las apps nuevas deben usar la Biblioteca de Facturación 4 o versiones posteriores. A partir del 1 de noviembre de 2022, todas las actualizaciones de apps existentes deberán usar la versión 4 o posterior de la Biblioteca de Facturación. Más información.

Baja de la versión de la Biblioteca de Facturación Google Play

Organiza tus páginas con colecciones Guarda y categoriza el contenido según tus preferencias.

Como se anunció en la edición del 2019 de Google I/O y en la entrada de blog en la que se introducía a la versión 3 de la Biblioteca de Facturación Google Play, todas las versiones de dicha biblioteca seguirán un ciclo de baja que durará dos años.

En este tema, se responden preguntas comunes relacionadas con la baja de la versión de la Biblioteca de Facturación y la migración a versiones más recientes.

¿Cómo puedo saber qué APK o paquete de aplicación activa una advertencia de baja?
Revisa las dependencias importadas del proyecto (por ejemplo, las que se encuentran en el archivo build.gradle de tu proyecto). Para cumplir con los requisitos, las apps deben importar la versión 4.0.0 o una posterior de la Biblioteca de Facturación Play. Ten en cuenta que las dependencias de facturación se encontrarían únicamente en los APK que requieren el permiso com.android.vending.BILLING.
Un APK o paquete de aplicación que ya no tengo está usando una versión obsoleta de la Biblioteca de Facturación Play. ¿Debo realizar la actualización?
Recomendamos firmemente actualizar todos los APK a la versión más reciente de la Biblioteca de Facturación Play. Sin embargo, si ya no se mantiene un APK, entonces no se requiere ninguna acción por el momento. Esta baja evita que solo las apps nuevas y las actualizaciones usen versiones anteriores de la Biblioteca de Facturación Play. Las apps existentes que usan una versión obsoleta de la biblioteca continuarán funcionando como se espera. Asegúrate de que se actualicen todos los APK que se mantienen activos.
¿Cómo corregir la actualización del APK o el paquete de aplicación en la versión más reciente de la Biblioteca de Facturación Play, pero aun así activar una advertencia de baja?
Asegúrate de que tu AndroidManifest.xml contenga una entrada con el nombre com.google.android.play.billingclient.version. Si la entrada no está presente, revisa la configuración de combinación de manifiestos para ver si se descarta el atributo de manifiesto durante la combinación de manifiestos.
¿Cómo puedo actualizar desde una versión anterior de la Biblioteca de Facturación Play?

Actualiza la dependencia de tu versión para usar la versión 4 o posterior de la Biblioteca de Facturación Play. Para consultar los cambios entre las versiones, lee las notas de la versión.

Además, tenemos una guía detallada para migrar de PBL 4 a 5.